DeluxHostAPI Reference
Sessions & login history

List active browser sessions

GET
/v1/account/sessions

Authorization

apiToken account:sessions
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:sessions

Query Parameters

limit?number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/account/sessions' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "ipAddress": null,      "userAgent": null    }  ]}